## octave-financial 0.2.2

=== DESCRIPTION ===
Name: financial
Version: 0.2.2
Date: 2008-04-29
Author: Bill Denney <bill@denney.ws>
Maintainer: Bill Denney <bill@denney.ws>
Title: Financial
Description: Financial manipulation and plotting functions
Categories: Financial
Depends: octave (>= 3.0.0), time (>= 1.0.5)
Autoload: yes
License: GPL version 2 or later
Url: http://octave.sf.net

## octave-financial 0.3.1

=== DESCRIPTION ===
Name: financial
Version: 0.3.1
Date: 2008-08-17
Author: Bill Denney <bill@denney.ws>, Kurt Hornik <Kurt.Hornik@wu-wien.ac.at>
Maintainer: Bill Denney <bill@denney.ws>
Title: Financial
Description: Financial manipulation and plotting functions
Categories: Financial
Depends: octave (>= 3.0.0), time (>= 1.0.5), miscellaneous (>= 1.0.6)
Autoload: yes
License: GPL version 3 and GPL version 2 or later
Url: http://octave.sf.net

## octave-financial 0.3.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Name: financial
-Version: 0.3.1
+Version: 0.3.2
 Date: 2008-08-17
 Author: Bill Denney <bill@denney.ws>, Kurt Hornik <Kurt.Hornik@wu-wien.ac.at>
 Maintainer: Bill Denney <bill@denney.ws>

=== debian/changelog ===
octave-financial (0.3.2-2) unstable; urgency=low

  * debian/control: 
    - Remove Rafael Laboissiere from Uploaders (Closes: #571848)
    - Remove Ólafur Jens Sigurðsson <ojsbug@gmail.com> from Uploaders 
  * Switch to dpkg-source 3.0 (quilt) format

 -- Thomas Weber <tweber@debian.org>  Sun, 10 Apr 2011 11:37:29 +0200

octave-financial (0.3.2-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Build-depend on octave-pkg-dev >= 0.7.0, such that the
    package is built against octave3.2

  [ Thomas Weber ]
  * New upstream release
  * Drop patch google-stock-data.diff: applied upstream
  * Bump dependencies on octave-miscellaneous and octave-time to 1.0.9-1 and
    1.0.9-2, respectively to get the versions for octave3.2.

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Mon, 28 Dec 2009 22:22:49 +0100

octave-financial (0.3.1-1) unstable; urgency=low

  * New upstream release
  * debian/patches/google-stock-data.diff: New patch with the correct data
    for testing the __fetch_google__ function
  * debian/control:
    + (Build-Depends): Add quilt
    + (Standards-Version): Bump to 3.8.1 (no changes needed)
    + (Depends): Add ${misc:Depends}
    + (Vcs-Git, Vcs-Browser): Adjust to new Git repository
  * debian/rules: Include patchsys-quilt.mk
  * debian/copyright:
    + Use DEP5 URL in Format-Specification
    + Use separate License stanzas for instructing about the location of
      the different licenses used in the package
  * debian/README.source: Add file explaining the quilt patch system, as
    required by the Policy

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 24 May 2009 13:13:49 +0200

octave-financial (0.3.0-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/copyright: Add header
  * debian/control: Bump build-dependency on octave-pkg-dev to >= 0.6.4,
    such that the package is built with the versioned packages directory

  [ Thomas Weber ]
  * Upload to unstable

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sat, 04 Apr 2009 19:26:38 +0200

octave-financial (0.3.0-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * debian/rules: Use debian/clean instead of manually cleaning files
  * debian/compat, debian/control: Bump build-dependency on debhelper to
    >= 7.0.0, otherwise debian/clean is moot
  * debian/clean: New file
  * debian/control: Bump Standards-Version to 3.8.0 (no changes needed)

  [ Thomas Weber ]
  * New upstream release, contains fetch.m and yahoo.m (closes: #506886)
  * debian/control:
    - Add octave-time to build-dependencies, some tests don't work without it.
    - Likewise for octave-miscellaneous
    - Bump dependency on octave-pkg-dev to 0.6.1, to get the experimental
      version

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Tue, 02 Dec 2008 21:43:04 +0100

octave-financial (0.2.2-1) unstable; urgency=low

  [ Olafur Jens Sigurdsson ]
  * Initial release. (Closes: #480769)

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 21 May 2008 08:44:06 +0000

=== debian/control ===
Source: octave-financial
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 6), cdbs, octave-time (>=1.0.9-2),
 octave-miscellaneous (>=1.0.9-1), octave-pkg-dev (>= 0.7.0),
Standards-Version: 3.8.1
Homepage: http://octave.sourceforge.net/financial
Vcs-Git: git://git.debian.org/git/pkg-octave/octave-financial.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-financial.git

Package: octave-financial
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}, 
 octave-miscellaneous (>=1.0.9-1), octave-time (>= 1.0.9-2)
Description: financial manipulation and plotting functions
 This package provides financial manipulation and plotting functions
 to Octave, a numerical computation software. It provides functions to
 calculate taxed rates, relative strength index, positive volume
 index, modified internal rate of return amongs many more.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=3
http://octave.sourceforge.net/packages.php \
    http://downloads\.sourceforge\.net/octave/financial-([\d.]+)\.tar\.gz\?download

## octave-financial 0.4.0

=== DESCRIPTION ===
Name: financial
Version: 0.4.0
Date: 2012-04-18
Author: Bill Denney <bill@denney.ws>, Kurt Hornik <Kurt.Hornik@wu-wien.ac.at>
Maintainer: Octave-Forge community <octave-dev@lists.sourceforge.net>
Title: Financial
Description: Financial manipulation, plotting functions and additional
 date manipulation tools.
Depends: octave (>= 3.0.1), io (>= 1.0.18)
Autoload: no
License: GPLv3+
Url: http://octave.sf.net

=== debian/changelog ===
octave-financial (0.4.0-1) unstable; urgency=low

  * Imported Upstream version 0.4.0
  * debian/control:
    + add Conflicts and Replaces on octave-time
    + mark the package as arch:all instead of arch:any
    + add Build-Depends on octave-io
    + remove Build-Depends on octave-{time,miscellaneous)
    + mention date manipulation functions in long description
  * debian/copyright: reflect upstream changes
  * google-stock-fetch.patch: remove patch, applied upstream
  * autoload-yes.patch: new patch

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Sat, 28 Apr 2012 22:49:32 +0200

octave-financial (0.3.2-3) unstable; urgency=low

  [ Sébastien Villemot ]
  * Imported Upstream version 0.3.2
  * Bump to debhelper compat level 9
  * Build-depend on octave-pkg-dev >= 1.0.1, to compile against Octave 3.6
  * Remove dependencies on octave-{miscellaneous,time}
  * Add Sébastien Villemot to Uploaders
  * debian/copyright: upgrade to machine-readable format 1.0
  * debian/patches/google-stock-fetch.patch: new patch

  [ Thomas Weber ]
  * Bump to Standards-Version 3.9.3, no changes needed

 -- Thomas Weber <tweber@debian.org>  Sun, 01 Apr 2012 19:44:27 +0200

=== debian/control ===
Source: octave-financial
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>,
           Sébastien Villemot <sebastien.villemot@ens.fr>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 9), cdbs, octave-io (>= 1.0.18),
 octave-pkg-dev (>= 1.0.1)
Standards-Version: 3.9.3
Homepage: http://octave.sourceforge.net/financial
Vcs-Git: git://git.debian.org/git/pkg-octave/octave-financial.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-financial.git

Package: octave-financial
Architecture: all
Depends: ${misc:Depends}, ${octave:Depends}
Conflicts: octave-time
Replaces: octave-time
Description: financial manipulation and plotting functions
 This package provides financial manipulation, plotting functions and
 additional date manipulation tools to Octave, a numerical computation
 software. It provides functions to calculate taxed rates, relative strength
 index, positive volume index, modified internal rate of return amongs many
 more.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=3
http://sf.net/octave/financial-(.+)\.tar\.gz

## octave-financial 0.5.0

=== DESCRIPTION ===
Name: financial
Version: 0.5.0
Date: 2016-01-31
Author: Bill Denney <bill@denney.ws>, Kurt Hornik <Kurt.Hornik@wu-wien.ac.at>
Maintainer: Parsiad Azimzadeh <parsiad.azimzadeh@gmail.com>
Title: Financial
Description: Monte Carlo simulation, options pricing routines,
 financial manipulation, plotting functions and additional date manipulation
 tools.
Depends: octave (>= 4.0.0), io (>= 1.0.18)
Autoload: no
License: GPLv3+
Url: http://octave.sf.net

=== debian/changelog ===
octave-financial (0.5.0-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Imported Upstream version 0.5.0
  * d/copyright: reflect upstream changes.
  * d/control: update package description.
  * Bump Standards-Version to 3.9.7, no changes needed.

  [ Rafael Laboissiere ]
  * d/control: Use secure URIs in the Vcs-* fields

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 04 Feb 2016 13:56:00 +0100

octave-financial (0.4.0-3) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * d/p/autoload-yes.patch: Remove patch (deprecated upstream)
  * Bump build-dependency on octave-pkg-dev, for proper unit testing

  [ Sébastien Villemot ]
  * Fix debian/watch file (using version provided by QA team).

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 26 Oct 2015 14:42:17 +0100

octave-financial (0.4.0-2) unstable; urgency=medium

  [ Thomas Weber ]
  * debian/control: Use canonical URLs in Vcs-* fields

  [ Rafael Laboissiere ]
  * Remove obsolete DM-Upload-Allowed flag
  * debian/copyright: Use octave-maintainers mailing list as upstream contact

  [ Sébastien Villemot ]
  * Use my @debian.org email address
  * Add Rafael Laboissiere and Mike Miller to Uploaders.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 18 Sep 2014 17:30:46 +0200

=== debian/control ===
Source: octave-financial
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>,
           Rafael Laboissiere <rafael@laboissiere.net>,
           Sébastien Villemot <sebastien@debian.org>,
           Mike Miller <mtmiller@debian.org>
Build-Depends: debhelper (>= 9), cdbs, octave-io (>= 1.0.18),
 octave-pkg-dev (>> 1.2.0)
Standards-Version: 3.9.7
Homepage: http://octave.sourceforge.net/financial
Vcs-Git: https://anonscm.debian.org/git/pkg-octave/octave-financial.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-octave/octave-financial.git

Package: octave-financial
Architecture: all
Depends: ${misc:Depends}, ${octave:Depends}
Conflicts: octave-time
Replaces: octave-time
Description: financial package for Octave
 This package provides Monte Carlo simulation, options pricing routines,
 financial manipulation, plotting functions and additional date manipulation
 tools for Octave.
 It also provides functions to calculate taxed rates, relative strength
 index, positive volume index, modified internal rate of return amongs many
 more.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=3
http://sf.net/octave \
(?:|.*/)financial(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## octave-financial 0.5.1

=== debian/changelog ===
octave-financial (0.5.1-3) unstable; urgency=medium

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

  [ Rafael Laboissiere ]
  * d/control: Bump Standards-Version to 4.1.4 (no changes needed)

  [ Sébastien Villemot ]
  * octave-statistics is now a dependency since octave 4.4
    + depends-on-statistics.patch: new patch
    + add octave-statistics to B-D

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 17 Jun 2018 15:12:21 +0200

octave-financial (0.5.1-2) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control: Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:29:20 -0200

octave-financial (0.5.1-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * New upstream version 0.5.1
  * d/copyright: reflect upstream changes.
  * disable-network-test.patch: new patch, replaces disable-yahoo-test.patch.

  [ Rafael Laboissiere ]
  * d/control: Use Debian's GitLab URLs in Vcs-* headers

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 16 Jan 2018 12:03:25 +0100

octave-financial (0.5.0-3) unstable; urgency=medium

  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control: Bump Standards-Version to 4.1.3 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:13:25 -0200

octave-financial (0.5.0-2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * disable-yahoo-test.patch: new patch, fixes FTBFS. (Closes: #874126)
  * Remove unneeded version on dependency on octave-io.
  * Bump to debhelper compat level 10.
  * d/copyright: use secure URL for format.
  * d/watch: bump to format version 4.

  [ Rafael Laboissiere ]
  * d/control: Use cgit instead of gitweb in Vcs-Browser URL
  * d/control: Bump Standards-Version to 4.1.0 (no changes needed)
  * d/control: Add Testsuite field

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 23 Sep 2017 13:33:10 +0200

=== debian/control ===
Source: octave-financial
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>,
           Rafael Laboissiere <rafael@debian.org>,
           Sébastien Villemot <sebastien@debian.org>,
           Mike Miller <mtmiller@debian.org>
Section: math
Priority: optional
Build-Depends: debhelper (>= 11),
               octave-io,
               octave-statistics,
               dh-octave
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-financial
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-financial.git
Homepage: https://octave.sourceforge.io/financial/
Testsuite: autopkgtest-pkg-octave

Package: octave-financial
Architecture: all
Depends: ${misc:Depends},
         ${octave:Depends}
Conflicts: octave-time
Replaces: octave-time
Description: financial package for Octave
 This package provides Monte Carlo simulation, options pricing routines,
 financial manipulation, plotting functions and additional date manipulation
 tools for Octave.
 It also provides functions to calculate taxed rates, relative strength
 index, positive volume index, modified internal rate of return amongs many
 more.
 .
 This Octave add-on package is part of the Octave-Forge project.

## octave-financial 0.5.3

=== debian/changelog ===
octave-financial (0.5.3-4) unstable; urgency=medium

  * d/copyright:
    + Accentuate my family name
    + Update Copyright years for debian/* files
  * Set upstream metadata fields: Archive.
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 05:22:40 -0300

octave-financial (0.5.3-3) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.5.0 (no changes needed)
    + Bump debhelper compatibility level to 13
  * d/u/metadata: New file

 -- Rafael Laboissière <rafael@debian.org>  Tue, 28 Jul 2020 05:52:56 -0300

octave-financial (0.5.3-2) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.3.0 (no changes needed)
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:55:27 -0200

octave-financial (0.5.3-1) unstable; urgency=medium

  * New upstream version 0.5.3
  * disable-network-test.patch: drop patch, no longer needed

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 18 Nov 2018 10:33:19 +0100

octave-financial (0.5.2-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * d/control: Add Rules-Requires-Root: no
  * d/control: Bump Standards-Version to 4.2.1 (no changes needed)

  [ Sébastien Villemot ]
  * New upstream version 0.5.2
  * depends-on-statistics.patch: drop patch, applied upstream

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 12 Oct 2018 23:28:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: octave-financial
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Thomas Weber <tweber@debian.org>,
-           Rafael Laboissiere <rafael@debian.org>,
+           Rafael Laboissière <rafael@debian.org>,
            Sébastien Villemot <sebastien@debian.org>,
            Mike Miller <mtmiller@debian.org>
 Section: math
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                octave-io,
                octave-statistics,
-               dh-octave
-Standards-Version: 4.1.4
+               dh-sequence-octave
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-financial
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-financial.git
 Homepage: https://octave.sourceforge.io/financial/
 Testsuite: autopkgtest-pkg-octave
+Rules-Requires-Root: no
 
 Package: octave-financial
 Architecture: all

=== debian/watch ===
version=4
https://gnu-octave.github.io/packages/financial/ \
  https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/financial-(.+).tar.gz

## octave-financial 0.5.4

=== DESCRIPTION ===
Name: financial
Version: 0.5.4
Date: 2025-06-25
Author: Bill Denney, Kurt Hornik
Maintainer: Octave-Forge community <octave-dev@lists.sourceforge.net>
Title: Financial
Description: Monte Carlo simulation, options pricing routines, financial
  manipulation, plotting functions and additional date manipulation tools.
Depends: octave (>= 4.4.0), io (>= 2.4.11), statistics (>= 1.4.0)
Autoload: no
License: GPLv3+
Url: http://octave.sf.net

=== debian/changelog ===
octave-financial (0.5.4-2) unstable; urgency=medium

  * Upload to unstable
  * Drop “Rules-Requires-Root: no”, which is now the default

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 17 Aug 2025 16:27:40 +0200

octave-financial (0.5.4-1) experimental; urgency=medium

  * New upstream version 0.5.4
  * d/copyright: Reflect upstrem changes
  * d/p/compile-against-octave-9.patch: Drop patch (applied upstream)
  * d/control: Bump Standards-Version to 4.7.2 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Wed, 02 Jul 2025 12:26:54 -0300

octave-financial (0.5.3-5) unstable; urgency=medium

  * d/copyright: Update Source URL
  * d/u/metadata:
    + Add upstream repository URL
    + Update Bug-Database URL
  * d/control:
    + Update Homepage URL
    + Bump Standards-Version to 4.7.0 (no changes needed)
  * d/p/compile-against-octave-9.patch: New patch (Closes: #1072134)

 -- Rafael Laboissière <rafael@debian.org>  Wed, 29 May 2024 05:21:38 -0300

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,11 @@
                octave-io,
                octave-statistics,
                dh-sequence-octave
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-financial
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-financial.git
-Homepage: https://octave.sourceforge.io/financial/
+Homepage: https://gnu-octave.github.io/packages/financial/
 Testsuite: autopkgtest-pkg-octave
-Rules-Requires-Root: no
 
 Package: octave-financial
 Architecture: all
